--天墉城
--秦野

--脚本号
x101005_g_scriptId=101005

--事件交互入口
function x101005_OnDefaultEvent( scene,selfId ,targetId)
	BeginEvent(scene)
	AddText(scene,"[43596b]誰能笑傲群雄，就看此戰[-]")

	AddNumText(scene,x101005_g_scriptId,"神武戰",-1,0)
	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

--事件列表选中一项
function x101005_OnEventRequest( scene,selfId,targetId,eventId ,index)
	if index==0 then
		BeginEvent(scene)
		AddText(scene,"#{5606}")
		
		AddNumText(scene,x101005_g_scriptId,"我要參加",-1,10)
		AddNumText(scene,x101005_g_scriptId,"便捷組隊",-1,11,0,402)	
		AddNumText(scene,x101005_g_scriptId,"活動說明",-1,12)	
		AddNumText(scene,x101005_g_scriptId,"返回",-1,13)
			
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId,true)
	elseif index==10 then
		PvpEnroll(scene,selfId,targetId,3)
	elseif index==11 then

	elseif index==12 then
				BeginEvent(scene)
		AddText(scene,"#{5605}")
	 	AddNumText(scene,x101005_g_scriptId,"返回",-1,13)	
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId,true)
	elseif index==13 then
		BeginEvent(scene)
		AddText(scene,"#{5606}")
		
		AddNumText(scene,x101005_g_scriptId,"神武戰",-1,0)
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId,true)
	elseif index==14 then
		GatherTeamMem(scene,selfId)
	elseif index==15 then
		BeginEvent(scene)
		AddText(scene,"#{5606}")
		
		AddNumText(scene,x101005_g_scriptId,"我要參加",-1,10)
		AddNumText(scene,x101005_g_scriptId,"便捷組隊",-1,11,0,402)	
		AddNumText(scene,x101005_g_scriptId,"活動說明",-1,12)	
		AddNumText(scene,x101005_g_scriptId,"返回",-1,13)
			
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId,true)
	end
end

function x101005_OnTriggerEvent(scene, selfId, targetId, stringInfo, index)
	if index==1 then
		BeginEvent(scene)
		AddText(scene,stringInfo)
		
		AddNumText(scene,x101005_g_scriptId,"集合隊員",-1,14)
		AddNumText(scene,x101005_g_scriptId,"返回",-1,15)
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId,true)
	elseif index==2 then
		BeginEvent(scene)
		AddText(scene,stringInfo)
		
		AddNumText(scene,x101005_g_scriptId,"返回",-1,15)
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId,true)
	end
end